--------------------------
NIFCLOUD SDK for Java
リリースノート
--------------------------

2024-04-01 SDK for Java 8.0.4
---------------------------------
－Copyrightの更新

2023-05-25 SDK for Java 8.0.3
---------------------------------
－新機能に対応するため、新規classを追加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.multiloadbalancer.model.*
－新機能に対応するため、既存methodの型を変更。
　主な修正classは以下。
　　com.nifty.cloud.sdk.multiloadbalancer.model.ExpectationMember
－NoClassDefFoundErrorとなる事象の解消。
　主な修正は以下
　　third-party/xmlpull-1.1.3.1を追加

2021-03-24 SDK for Java 8.0.2
---------------------------------
－新機能に対応するため、新規classを追加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.disk.model.*
－新機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.disk.*
－機能提供終了に対応するため、既存classを削除
　主な修正classは以下。
　　com.nifty.cloud.sdk.firewall.model.*
－機能提供終了に対応するため、既存classのmethod・パラメーターを削除。
　主な修正classは以下。
　　com.nifty.cloud.sdk.firewall.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/

2019-09-24 SDK for Java 8.0.1
---------------------------------
－処理改善を対応。
　主な修正classは以下。
　　com.nifty.cloud.sdk.*
　　com.nifty.cloud.sdk.misc.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/

2019-03-26 SDK for Java 8.0.0
---------------------------------
－Java8でビルドを行ったモジュールのため、推奨環境が変更になりました。
　推奨環境については同梱の「NOTICE.txt」を参照。


2018-06-14 SDK for Java
---------------------------------
－新機能に対応するため、新規classを追加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.alarm.*
　　com.nifty.cloud.sdk.autoscale.*
　　com.nifty.cloud.sdk.image.*
　　com.nifty.cloud.sdk.loadbalancer.*
　　com.nifty.cloud.sdk.multiloadbalancer.*
　　com.nifty.cloud.sdk.nic.*
　　com.nifty.cloud.sdk.security.*
　　com.nifty.cloud.sdk.separate.*
　　com.nifty.cloud.sdk.sslcert.*
－新機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.loadbalancer.*
　　com.nifty.cloud.sdk.privatelan.*
　　com.nifty.cloud.sdk.server.*
　　com.nifty.cloud.sdk.sslcert.*
　　com.nifty.cloud.sdk.usage.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/



2016-12-21 SDK for Java Version.2.2
---------------------------------
－新機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.misc.*
　　com.nifty.cloud.sdk.server.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/



2015-06-24 SDK for Java Version.1.20
---------------------------------
－機能拡張に伴う、DescribeUsage / DescribeResourcesの修正。
　主な修正classは以下。
　　com.nifty.cloud.sdk.dashboard.*
　　com.nifty.cloud.sdk.usage.*


2014-11-19 SDK for Java Version.1.19
---------------------------------
－新機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.dashboard.*
　　com.nifty.cloud.sdk.firewall.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/



2014-06-26 SDK for Java Version.1.18
---------------------------------
－新機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.misc.*
　　com.nifty.cloud.sdk.server.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/



2014-03-13 SDK for Java Version.1.17
---------------------------------
－新機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.address.*
　　com.nifty.cloud.sdk.dashboard.*
　　com.nifty.cloud.sdk.disk.*
　　com.nifty.cloud.sdk.image.*
　　com.nifty.cloud.sdk.loadbalancer.*
　　com.nifty.cloud.sdk.misc.*
　　com.nifty.cloud.sdk.security.*
　　com.nifty.cloud.sdk.server.*
　　com.nifty.cloud.sdk.usage.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/



2013-11-19  SDK for Java Version.1.16
---------------------------------
■機能拡張
－新機能に対応するため、既存classにmethod・パラメーターを修正。
　主な修正classは以下。
　　com.nifty.cloud.sdk.dashboard.*
　　com.nifty.cloud.sdk.server.*
　　com.nifty.cloud.sdk.image.*
　　com.nifty.cloud.sdk.firewall.*
　　com.nifty.cloud.sdk.usage.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/

2013-06-28  SDK for Java Version.1.15
---------------------------------
■機能拡張
－機能拡張に伴う、既存classにmethod・パラメーターの付加はなし。
　※ロードバランサーに設定できるサーバーの設定範囲のみ変更。
　(旧)同一 ゾーン内のサーバー
　(新)同一 リージョン内のサーバー


2013-03-28  SDK for Java Version.1.14
---------------------------------
■機能追加
－新機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.disk.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/

2013-02-20  SDK for Java Version.1.12
---------------------------------
■機能追加
－新機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.misc.*
　　com.nifty.cloud.sdk.server.*
　　com.nifty.cloud.sdk.usage.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/



2012-09-19  SDK for Java Version.1.11
---------------------------------
■機能追加
－新機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.dashboard.*
　　com.nifty.cloud.sdk.disk.*
　　com.nifty.cloud.sdk.firewall.*
　　com.nifty.cloud.sdk.image.*
　　com.nifty.cloud.sdk.loadbalancer.*
　　com.nifty.cloud.sdk.misc.*
　　com.nifty.cloud.sdk.security.*
　　com.nifty.cloud.sdk.server.*
　　com.nifty.cloud.sdk.upload.*
　　com.nifty.cloud.sdk.usage.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/



2012-04-02  SDK for Java Version.1.9.2
---------------------------------
■機能追加
－新機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.usage.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/



2012-02-14  SDK for Java Version.1.9
---------------------------------
■機能追加
API Version 1.9に対応
－新機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.dashboard.*
　　com.nifty.cloud.sdk.firewall.*
　　com.nifty.cloud.sdk.loadbalancer.*
　　com.nifty.cloud.sdk.server.*
　　com.nifty.cloud.sdk.upload.*
　　com.nifty.cloud.sdk.usage.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/



2011-11-21  SDK for Java Version.1.8
---------------------------------
■機能追加
API Version 1.8に対応
－新機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.disk.*
　　com.nifty.cloud.sdk.loadbalancer.*
　　com.nifty.cloud.sdk.sslcert.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/



2011-10-26  SDK for Java Version.1.8
---------------------------------
■機能追加
API Version 1.8に対応
－新機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.server.*
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/



2011-08-22  SDK for Java Version.1.7
---------------------------------
■機能追加
API Version 1.7に対応
－新機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.image.model.Image.java
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/



2011-06-16  SDK for Java Version.1.6
---------------------------------
■機能追加
API Version 1.6に対応

－以下の機能について、classを追加。
　[ファイアウォール]
　　com.nifty.cloud.sdk.firewall.*
　　com.nifty.cloud.sdk.sample.AuthorizeSecurityGroupIngressSample.java
　　com.nifty.cloud.sdk.sample.CreateSecurityGroupSample.java
　　com.nifty.cloud.sdk.sample.DeleteSecurityGroupSample.java
　　com.nifty.cloud.sdk.sample.DeregisterInstancesFromSecurityGroupSample.java
　　com.nifty.cloud.sdk.sample.DescribeSecurityActivitiesSample.java
　　com.nifty.cloud.sdk.sample.DescribeSecurityGroupsSample.java
　　com.nifty.cloud.sdk.sample.RegisterInstancesWithSecurityGroupSample.java
　　com.nifty.cloud.sdk.sample.RevokeSecurityGroupIngressSample.java
　　com.nifty.cloud.sdk.sample.UpdateSecurityGroupSample.java
　[SSL証明書]
　　com.nifty.cloud.sdk.sslcert.*
　　com.nifty.cloud.sdk.sample.CreateSslCertificateSample.java
　　com.nifty.cloud.sdk.sample.DeleteSslCertificateSample.java
　　com.nifty.cloud.sdk.sample.DescribeSslCertificateAttributeSample.java
　　com.nifty.cloud.sdk.sample.DescribeSslCertificatesSample.java
　　com.nifty.cloud.sdk.sample.DownloadSslCertificateSample.java
　　com.nifty.cloud.sdk.sample.ModifySslCertificateAttributeSample.java
　　com.nifty.cloud.sdk.sample.RegisterCorporateInfoForCertificateSample.java
　　com.nifty.cloud.sdk.sample.UploadSslCertificateSample.java
－上記機能に対応するため、既存classにmethod・パラメーターを付加。
　主な修正classは以下。
　　com.nifty.cloud.sdk.server.model.CopyInstances.java
　　com.nifty.cloud.sdk.server.model.Instances.java
　　com.nifty.cloud.sdk.server.model.InstanceAttribute.java
　　com.nifty.cloud.sdk.server.model.RunInstancesRequest.java
　　com.nifty.cloud.sdk.loadbalancer.model.CreateLoadBalancerRequest.java
－詳しくは、JavaDocを参照。
　　https://pfs.nifcloud.com/api/sdk/javadoc/



2011-03-24  SDK for Java Version.1.5
---------------------------------
■新規リリース
API Version 1.5 に対応


Copyright Fujitsu.
